#ifndef DIRECTORIES_H
#define DIRECTORIES_H
#include "ftpaccess.h"
#include <qwidget.h>
#include <qcheckbox.h>
#include <qspinbox.h>
#include <qlistbox.h>
#include <kapp.h>
#include "InputFileCtl.h"

class Directories : public QWidget {
	Q_OBJECT
public:
	Directories(QWidget *parent=0, const char *name=0);
	~Directories();
public slots:
	void	ftpaccessLoaded(ftpaccess *xs);
	void	update();
private:
	ftpaccess *	ftpxs;
	InputFileCtl *	anonRoot;
	InputFileCtl *	guestRoot;
	InputFileCtl *	passwd;
	InputFileCtl *	shadow;
};
#endif
